{% extends "layout.html" %}
{% block content %}
<article class="media content-section">
  <h2 class="document-title">{{ document.title }}</h2>
  
  <div class="media-body" style="margin-top: 70px;">
    {% if current_user.role == 'admin' %}
        <div class="center">
            <a class="btn btn-secondary btn-sm m-1" href="{{ url_for('documents.update', id_document=document.id) }}" id="btn-check">Edytuj dokument</a>
            <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal"
            data-target="#deleteModal">Usuń dokument</button>
        </div>
  {% endif %}
    {% if sections_l: %}
      {% for user_sections, l, markdown_content in sections_l %}
      <div class="article-content2">
        <a href="{{ url_for('sections.new', doc_id=user_sections.id_document, btn_num=l) }}">
        <button type="button" class="addbtn">
          +
        </button>
      </a>
      </div>
      {% if user_sections.document_sort == 1 %}
      {% else %}
      <div class="article-content2">
      <a href="{{ url_for('sections.up', doc_sort=user_sections.document_sort, doc_id=user_sections.id_document) }}">
        <button class="up" value="add" name="add">↑</button>
      </a>
    </div>
      {% endif %}
      {% if user_sections.document_sort == last_btn-1 %}
      {% else %}
      <div class="article-content2">
      <a href="{{ url_for('sections.down', doc_sort=user_sections.document_sort, doc_id=user_sections.id_document) }}">
        <button class="down" value="reduce" name="reduce">
          ↓
        </button>
      </a>
    </div> 
      {% endif %}
      {% if user_sections.content == "" %}
      <div class="section">
      <h3><a class="article-title" href="{{ url_for('sections.show', section_id=user_sections.id) }}">[ sekcja dedykowana ]</a></h3>
      <div class="article-content"><a class="section_link" href="{{ url_for('sections.show', section_id=user_sections.id) }}">{{ markdown_content }}</a></div>
    </div>
      {% elif user_sections.title == "" %}
      <div class="section">
      <div class="article-content"><a class="section_link" href="{{ url_for('sections.show', section_id=user_sections.id) }}">{{ markdown_content }}</a></div>
    </div>
      {% else %}
      <div class="section">
        <h3><a class="article-title" href="{{ url_for('sections.show', section_id=user_sections.id) }}">{{ user_sections.title }}</a></h3>
          <div class="article-content"><a class="section_link" href="{{ url_for('sections.show', section_id=user_sections.id) }}">{{ markdown_content }}</a></div>
        </div>
      {% endif %}
      {% endfor %}
      <div class="article-content2">
        <a href="{{ url_for('sections.new', doc_id=document.id, btn_num=last_btn) }}">
        <button type="button" class="addbtn">
          +
        </button>
      </a>
      </div>
    {% else %}
    <div class="article-content2">
      <a href="{{ url_for('sections.new', doc_id=document.id, btn_num=1) }}">
      <button type="button" class="addbtn">
      </button>
    </a>
    </div>
    {% endif %}
  </div>
</article>
<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteModalLabel">Czy na pewno chcesz usunąć dokument?</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Zamknij</button>
        <form action="{{ url_for('documents.delete', id_document=document.id) }}" method="POST">
          <input class="btn btn-danger" type="submit" value="Usuń">
        </form>
      </div>
    </div>
  </div>
</div>

{% endblock content %}